# Configuration file local to this node

{ config, pkgs, ... }:

{
  imports =
    [
      ./remote-unlock.nix
    ];

  # Use the systemd-boot EFI boot loader.
  boot.loader.systemd-boot.enable = true;
  boot.loader.timeout = 20;
  boot.loader.efi.canTouchEfiVariables = true;

  networking.hostName = "carcajou";

  deuxfleurs.network_interface = "eno1";
  deuxfleurs.lan_ip = "192.168.1.22";
  deuxfleurs.ipv6 = "2a06:a003:d019:1::22";

  deuxfleurs.cluster_ip = "10.14.1.2";
  deuxfleurs.is_raft_server = true;
}
