{ config, pkgs, ... }:

{
  deuxfleurs.site_name = "neptune";
  deuxfleurs.lan_default_gateway = "192.168.1.1";
  deuxfleurs.ipv6_default_gateway = "2a06:a003:d019:1::1";
  deuxfleurs.lan_ip_prefix_length = 24;
  deuxfleurs.ipv6_prefix_length = 64;
  deuxfleurs.nameservers = [ "192.168.1.1" ];

  networking.firewall.allowedTCPPorts = [ 80 443 ];
}
