job "dummy-nginx" {
	datacenters = ["neptune"]
	type = "service"
	
	group "nginx" {
		count = 1

		network {
			port "http" {
				to = 80
			}
		}

		task "nginx" {
			driver = "docker"
			config {
				image = "nginx"
				ports = [ "http" ]
			}
		}

		service {
			port = "http"
			tags = [
				"tricot home.adnab.me 100",
			]
			check {
				type = "http"
				path = "/"
				interval = "10s"
				timeout = "2s"
			}
		}
	}
}
